## osso-systemui-dev 0.3

=== Makefile ===
SRC = ./
DESTDIR =
INCLUDEDIR = $(DESTDIR)/usr/include/systemui
PKGCONFIGDIR = $(DESTDIR)/usr/lib/pkgconfig

INSTALL = install
INSTALL_PROGRAM = $(INSTALL)

INSTALL_INCLUDES = systemui.h
INSTALL_PKGCONFIG = osso-systemui.pc

all:

install:
	$(INSTALL_PROGRAM) -d $(INCLUDEDIR)
	$(INSTALL_PROGRAM) -m644 $(INSTALL_INCLUDES) $(INCLUDEDIR)
	$(INSTALL_PROGRAM) -d $(PKGCONFIGDIR)
	$(INSTALL_PROGRAM) -m644 $(INSTALL_PKGCONFIG) $(PKGCONFIGDIR)

clean:
	$(RM) *~

=== debian/changelog ===
osso-systemui-dev (0.3) unstable; urgency=low

  * Fix DBus connection member.

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 10 Dec 2012 17:46:12 +0200

osso-systemui-dev (0.2) unstable; urgency=low

  * Initial Release.

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 02 Dec 2012 08:30:21 +0200

=== debian/control ===
Source: osso-systemui-dev
Priority: optional
Maintainer: Ivaylo Dimitrov <freemangordon@abv.bg>
Build-Depends: debhelper (>> 3.0.0), autotools-dev
Standards-Version: 3.7.2
Section: libs

Package: osso-systemui-dev
Section: libs
Architecture: all
Depends:  libosso-dev, libdbus-1-dev,
 libglib2.0-dev, libgtk2.0-dev
Description: Header files for linking to the closed-source osso-systemui binary

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean -posso-systemui-dev

install: build
	dh_testdir
	dh_testroot
	dh_clean -k -posso-systemui-dev
	dh_installdirs

	# Add here commands to install the package into debian/libconnui-dev.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/osso-systemui-dev


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
